﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
namespace XmlSerializationDemo
{
    
    [XmlRoot("Human")]
    public class AnotherPerson
    {
        [XmlIgnore]
        public int Age
        {
            get;
            set;
        }

        [XmlElement("FullName")]
        public string Name
        {
            get;
            set;
        }

        [XmlAttribute("TheSkill")]
        public string Skill
        {
            get;
            set;
        }

        [XmlText]
        public string Salary
        {
            set;
            get;
        }

        [XmlArray("Pets")]
        public string[] Dogs
        {
            set;
            get;
        }

        public AnotherPerson()
        {
            Name = "";
            Skill = "";
            Age = 0;
            Salary = "1000";
            Dogs = new string[] { "kitty", "funny" };
        }
    }
}